KMediaPlayer::View Class Reference

`#include <view.h>`

Inherits QWidget.

## Public Types

enum | Button { Play = 1, Stop = 2, Pause = 4, Seeker = 8, All = 255 }

## Public Slots

void | setButtons (int)
bool | button (int)
void | showButton (int)
void | hideButton (int)
void | toggleButton (int)

## Signals

void | buttonsChanged (int)

## Public Member Functions

| View (QWidget *parent, const char *name)
int | buttons (void)
QWidget * | videoWidget ()

## Protected Member Functions

void | setVideoWidget (QWidget *videoWidget)

## Detailed Description

View is part of the user interface of a Player.

Definition at line 34 of file kmediaplayer/view.h.

## Member Enumeration Documentation

enum KMediaPlayer::View::Button

The Possible buttons that can appear in the UI.

Enumerator
Play | Button that connects to Player::play.
Stop | Button that connects to Player::stop.
Pause | Button that connects to Player::pause.
Seeker | A seeker that interfaces with Player::seek.
All | Show all buttons.

Definition at line 44 of file kmediaplayer/view.h.

## Constructor & Destructor Documentation

KMediaPlayer::View::View | ( | QWidget * | parent,
|  | const char * | name
| ) |  |

Your typical QWidget constructor.

Definition at line 33 of file view.cpp.

## Member Function Documentation

bool KMediaPlayer::View::button | ( | int | b | ) |

slot

Returns if a particular button is being displayed.

Definition at line 59 of file view.cpp.

int KMediaPlayer::View::buttons | ( | void |  | ) |

Return which buttons are being displayed.

Definition at line 45 of file view.cpp.

void KMediaPlayer::View::buttonsChanged | ( | int |  | ) |

signal

Emitted when the set of displayed buttons changes.

void KMediaPlayer::View::hideButton | ( | int | b | ) |

slot

Stop displaying a particular button.

Definition at line 69 of file view.cpp.

void KMediaPlayer::View::setButtons | ( | int | buttons | ) |

slot

Set which buttons to display.

See Button.

Definition at line 50 of file view.cpp.

void KMediaPlayer::View::setVideoWidget | ( | QWidget * | videoWidget | ) |

protected

The implementing view should set the widget in which the video will be displayed.

KMediaPlayer users may reparent() it to somewhere else, for example.

Definition at line 79 of file view.cpp.

void KMediaPlayer::View::showButton | ( | int | b | ) |

slot

Display a particular button.

Definition at line 64 of file view.cpp.

void KMediaPlayer::View::toggleButton | ( | int | b | ) |

slot

Toggle the display of a particular button.

Definition at line 74 of file view.cpp.

QWidget * KMediaPlayer::View::videoWidget | ( |  | ) |

Return the QWidget in which video is displayed.

May Return 0L if there is none.

Definition at line 84 of file view.cpp.

The documentation for this class was generated from the following files:

- kmediaplayer/view.h
- view.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys